
import App

def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TOS_FedPhotonFlares.tga",
					kCoreColor,
					0.05,
					0.5,
					"data/Textures/Tactical/TOS_FedPhotonCore.tga",
					kCoreColor,
					2.0,
					0.3,
					0.4,
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,
					10,
					0.175,
					0.5)


	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.13)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(25.0)

def GetLaunchSound():
	return("TOSphotorp")

def GetPowerCost():
	return(25.0)

def GetName():
	return("Photon Mk II")

def GetDamage():
	return 400.0

def GetGuidanceLifetime():
	return 4.0

def GetMaxAngularAccel():
	return 0.15
