import Foundation
import App

abbrev = 'Tomahawk_TOS'
iconName = 'Tomahawk_TOS'
longName = 'Tomahawk'
shipFile = 'Tomahawk_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Tomahawk_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Tomahawk_TOS.fMaxWarp = 8.0
Foundation.ShipDef.Tomahawk_TOS.fCruiseWarp = 6.0
# Foundation.ShipDef.Tomahawk_TOS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Tomahawk_TOS.sBridge = 'Constitutionbridge'
Foundation.ShipDef.Tomahawk_TOS.desc = "Tomahawk-class Perimeter Action Ship\n\nA Perimeter Action Ship is a relatively small ships generally designed for border patrol and neutral zone defense duties. They also engage in anti-smuggling, anti-piracy and law enforcement actions as well as search and rescue operations. The larger vessels might also have a shuttle bay and embarked shuttle craft. In times of crisis or war, these vessels are expected to support the larger vessels in the fleet."

if menuGroup:           Foundation.ShipDef.Tomahawk_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Tomahawk_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


